=== debian/changelog ===
ros-indigo-obj-to-pointcloud (0.3.1-0trusty) trusty; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-indigo-obj-to-pointcloud (0.2.3-0trusty) trusty; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-indigo-obj-to-pointcloud (0.2.2-0trusty) trusty; urgency=high

  * Workaround for debian stretch build problem (#199 <https://github.com/at-wat/neonavigation/issues/199>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-indigo-obj-to-pointcloud (0.2.1-0trusty) trusty; urgency=high

  * Compile with PCL_NO_PRECOMPILE (#195 <https://github.com/at-wat/neonavigation/issues/195>)
  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-indigo-obj-to-pointcloud (0.2.0-0trusty) trusty; urgency=high

  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * obj_to_pointcloud: fix naming style. (#85 <https://github.com/at-wat/neonavigation/issues/85>)
  * Fix find_package(Eigen3). (#83 <https://github.com/at-wat/neonavigation/issues/83>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * obj_to_pointcloud: support pcd file (#29 <https://github.com/at-wat/neonavigation/issues/29>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * Subtree-merge 'obj_to_pointcloud' package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000
