=== debian/control ===
Source: ros-indigo-obj-to-pointcloud
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-neonavigation-common, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-obj-to-pointcloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-neonavigation-common, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: OBJ file to pointcloud message converter package
